/// Bootstrap scripts
import { StrictMode } from 'react';
import { Route, Routes, StaticRouter } from 'react-router-dom';
import { MainLayout } from './pages/MainLayout';

export const App = () => {
  return (
    <StrictMode>
      <html lang="zh-CN">
        <head>
          <meta charSet="utf-8" />
          <meta name="viewport" content="width=device-width, initial-scale=1" />
          <title>React SSR App</title>
          <link rel="stylesheet" href="/src/index.css" />
        </head>
        <body>
          <StaticRouter>
            <Routes>
              <Route path="/" element={<MainLayout />} />
            </Routes>
          </StaticRouter>
        </body>
      </html>
    </StrictMode>
  );
};
